<div class="front_page_section front_page_section_blog<?php
			$sounder_scheme = sounder_get_theme_option('front_page_blog_scheme');
			if (!sounder_is_inherit($sounder_scheme)) echo ' scheme_'.esc_attr($sounder_scheme);
			echo ' front_page_section_paddings_'.esc_attr(sounder_get_theme_option('front_page_blog_paddings'));
		?>"<?php
		$sounder_css = '';
		$sounder_bg_image = sounder_get_theme_option('front_page_blog_bg_image');
		if (!empty($sounder_bg_image)) 
			$sounder_css .= 'background-image: url('.esc_url(sounder_get_attachment_url($sounder_bg_image)).');';
		if (!empty($sounder_css))
			echo ' style="' . esc_attr($sounder_css) . '"';
?>><?php
	// Add anchor
	$sounder_anchor_icon = sounder_get_theme_option('front_page_blog_anchor_icon');	
	$sounder_anchor_text = sounder_get_theme_option('front_page_blog_anchor_text');	
	if ((!empty($sounder_anchor_icon) || !empty($sounder_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_blog"'
										. (!empty($sounder_anchor_icon) ? ' icon="'.esc_attr($sounder_anchor_icon).'"' : '')
										. (!empty($sounder_anchor_text) ? ' title="'.esc_attr($sounder_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_blog_inner<?php
			if (sounder_get_theme_option('front_page_blog_fullheight'))
				echo ' sounder-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$sounder_css = '';
			$sounder_bg_mask = sounder_get_theme_option('front_page_blog_bg_mask');
			$sounder_bg_color = sounder_get_theme_option('front_page_blog_bg_color');
			if (!empty($sounder_bg_color) && $sounder_bg_mask > 0)
				$sounder_css .= 'background-color: '.esc_attr($sounder_bg_mask==1
																	? $sounder_bg_color
																	: sounder_hex2rgba($sounder_bg_color, $sounder_bg_mask)
																).';';
			if (!empty($sounder_css))
				echo ' style="' . esc_attr($sounder_css) . '"';
	?>>
		<div class="front_page_section_content_wrap front_page_section_blog_content_wrap content_wrap">
			<?php
			// Caption
			$sounder_caption = sounder_get_theme_option('front_page_blog_caption');
			if (!empty($sounder_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				?><h2 class="front_page_section_caption front_page_section_blog_caption front_page_block_<?php echo !empty($sounder_caption) ? 'filled' : 'empty'; ?>"><?php echo wp_kses_post($sounder_caption); ?></h2><?php
			}
		
			// Description (text)
			$sounder_description = sounder_get_theme_option('front_page_blog_description');
			if (!empty($sounder_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				?><div class="front_page_section_description front_page_section_blog_description front_page_block_<?php echo !empty($sounder_description) ? 'filled' : 'empty'; ?>"><?php echo wp_kses_post(wpautop($sounder_description)); ?></div><?php
			}
		
			// Content (widgets)
			?><div class="front_page_section_output front_page_section_blog_output"><?php 
				if (is_active_sidebar('front_page_blog_widgets')) {
					dynamic_sidebar( 'front_page_blog_widgets' );
				} else if (current_user_can( 'edit_theme_options' )) {
					if (!sounder_exists_trx_addons())
						sounder_customizer_need_trx_addons_message();
					else
						sounder_customizer_need_widgets_message('front_page_blog_caption', 'ThemeREX Addons - Blogger');
				}
			?></div>
		</div>
	</div>
</div>