<div class="front_page_section front_page_section_contacts<?php
			$sounder_scheme = sounder_get_theme_option('front_page_contacts_scheme');
			if (!sounder_is_inherit($sounder_scheme)) echo ' scheme_'.esc_attr($sounder_scheme);
			echo ' front_page_section_paddings_'.esc_attr(sounder_get_theme_option('front_page_contacts_paddings'));
		?>"<?php
		$sounder_css = '';
		$sounder_bg_image = sounder_get_theme_option('front_page_contacts_bg_image');
		if (!empty($sounder_bg_image)) 
			$sounder_css .= 'background-image: url('.esc_url(sounder_get_attachment_url($sounder_bg_image)).');';
		if (!empty($sounder_css))
			echo ' style="' . esc_attr($sounder_css) . '"';
?>><?php
	// Add anchor
	$sounder_anchor_icon = sounder_get_theme_option('front_page_contacts_anchor_icon');	
	$sounder_anchor_text = sounder_get_theme_option('front_page_contacts_anchor_text');	
	if ((!empty($sounder_anchor_icon) || !empty($sounder_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_contacts"'
										. (!empty($sounder_anchor_icon) ? ' icon="'.esc_attr($sounder_anchor_icon).'"' : '')
										. (!empty($sounder_anchor_text) ? ' title="'.esc_attr($sounder_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_contacts_inner<?php
			if (sounder_get_theme_option('front_page_contacts_fullheight'))
				echo ' sounder-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$sounder_css = '';
			$sounder_bg_mask = sounder_get_theme_option('front_page_contacts_bg_mask');
			$sounder_bg_color = sounder_get_theme_option('front_page_contacts_bg_color');
			if (!empty($sounder_bg_color) && $sounder_bg_mask > 0)
				$sounder_css .= 'background-color: '.esc_attr($sounder_bg_mask==1
																	? $sounder_bg_color
																	: sounder_hex2rgba($sounder_bg_color, $sounder_bg_mask)
																).';';
			if (!empty($sounder_css))
				echo ' style="' . esc_attr($sounder_css) . '"';
	?>>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$sounder_caption = sounder_get_theme_option('front_page_contacts_caption');
			$sounder_description = sounder_get_theme_option('front_page_contacts_description');
			if (!empty($sounder_caption) || !empty($sounder_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				// Caption
				if (!empty($sounder_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo !empty($sounder_caption) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses_post($sounder_caption);
					?></h2><?php
				}
			
				// Description
				if (!empty($sounder_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo !empty($sounder_description) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses_post(wpautop($sounder_description));
					?></div><?php
				}
			}

			// Content (text)
			$sounder_content = sounder_get_theme_option('front_page_contacts_content');
			$sounder_layout = sounder_get_theme_option('front_page_contacts_layout');
			if ($sounder_layout == 'columns' && (!empty($sounder_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?><div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ((!empty($sounder_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?><div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo !empty($sounder_content) ? 'filled' : 'empty'; ?>"><?php
					echo wp_kses_post($sounder_content);
				?></div><?php
			}

			if ($sounder_layout == 'columns' && (!empty($sounder_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?></div><div class="column-2_3"><?php
			}
		
			// Shortcode output
			$sounder_sc = sounder_get_theme_option('front_page_contacts_shortcode');
			if (!empty($sounder_sc) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				?><div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo !empty($sounder_sc) ? 'filled' : 'empty'; ?>"><?php
					sounder_show_layout(do_shortcode($sounder_sc));
				?></div><?php
			}

			if ($sounder_layout == 'columns' && (!empty($sounder_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?></div></div><?php
			}
			?>			
		</div>
	</div>
</div>