<?php sounder_show_layout($args['before_widget']);

if (!empty($instance['title'])) {
	sounder_show_layout($args['before_title'] . $instance['title'] . $args['after_title']);
}

do_action('mptt_widget_upcoming_before_content', $events);

$time_format = get_option('time_format');

$events_group_by_categories = array();

foreach ($events as $event) {
	if (!isset($temp[$event->column_id])) {
		$events_group_by_categories[$event->column_id][] = $event;
	} else {
		$events_group_by_categories[$event->column_id][] = $event;
	}
}

if (!empty($events)): ?>
	<?php foreach ($events_group_by_categories as $key_category => $cat_events) { ?>
		<div class="go-wrap">
			<?php foreach ($cat_events as $key => $event):
				$event_class = 'event';
				?>
				<div class="item-mp <?php echo esc_attr(has_post_thumbnail($event->event_id) ? 'img' : 'no_img'); ?> <?php echo apply_filters('mptt_widget_upcoming_event_class', $event_class) ?>">
					<?php
					$disable_url = (bool)$event->post->timetable_disable_url || (bool)$instance['disable_url'];
					$url = ($instance['custom_url'] != "") ? $instance['custom_url'] : (($event->post->timetable_custom_url != "") ? $event->post->timetable_custom_url : get_permalink($event->event_id));

                 if (has_post_thumbnail($event->event_id)) {
                    echo wp_get_attachment_image( get_post_thumbnail_id($event->event_id), apply_filters('mptt_event_thumbnail_size', 'thumbnail'), false, array('class' => "alignleft event-thumbnail", 'alt' => get_the_title($event->event_id)));
                 } ?>

					<span class="post-date">
				<?php if ($instance['view_settings'] !== 'today' && $instance['view_settings'] !== 'current'): ?><?php echo substr(get_the_title($event->column_id), 0, 3); ?>
				<?php endif; ?>
						<time datetime="<?php echo esc_attr($event->event_start); ?>" class="timeslot-start"><?php echo date($time_format, strtotime($event->event_start)); ?></time><?php echo apply_filters('mptt_timeslot_delimiter', '-'); ?><time datetime="<?php echo esc_attr($event->event_end); ?>" class="timeslot-end"><?php echo date($time_format, strtotime($event->event_end)); ?></time>
				</span>

            <?php if (!$disable_url) { ?>
            <h6 class="post_title"><a href="<?php echo esc_url($url); ?>" title="<?php echo esc_attr(get_the_title($event->event_id)); ?>" class="event-link">
            <?php }
                                    echo get_the_title($event->event_id);
                                    if (!$disable_url) { ?>
                </a></h6>
            <?php } ?>

				</div>
			<?php endforeach; ?>
		</div>
		<?php
	}
else:
	_e('no events found', 'sounder');
endif;

do_action('mptt_widget_upcoming_after_content', $events);

sounder_show_layout($args['after_widget']); ?>