<?php
/**
 * The template to display the featured image in the single post
 *
 * @package WordPress
 * @subpackage SOUNDER
 * @since SOUNDER 1.0
 */

if ( get_query_var('sounder_header_image')=='' && is_singular() && has_post_thumbnail() && in_array(get_post_type(), array('post', 'page')) )  {
	$sounder_src = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );
	if (!empty($sounder_src[0])) {
		sounder_sc_layouts_showed('featured', true);
		?><div class="sc_layouts_featured with_image without_content <?php echo esc_attr(sounder_add_inline_css_class('background-image:url('.esc_url($sounder_src[0]).');')); ?>"></div><?php
	}
}
?>