<div class="front_page_section front_page_section_woocommerce<?php
			$sounder_scheme = sounder_get_theme_option('front_page_woocommerce_scheme');
			if (!sounder_is_inherit($sounder_scheme)) echo ' scheme_'.esc_attr($sounder_scheme);
			echo ' front_page_section_paddings_'.esc_attr(sounder_get_theme_option('front_page_woocommerce_paddings'));
		?>"<?php
		$sounder_css = '';
		$sounder_bg_image = sounder_get_theme_option('front_page_woocommerce_bg_image');
		if (!empty($sounder_bg_image)) 
			$sounder_css .= 'background-image: url('.esc_url(sounder_get_attachment_url($sounder_bg_image)).');';
		if (!empty($sounder_css))
			echo ' style="' . esc_attr($sounder_css) . '"';
?>><?php
	// Add anchor
	$sounder_anchor_icon = sounder_get_theme_option('front_page_woocommerce_anchor_icon');	
	$sounder_anchor_text = sounder_get_theme_option('front_page_woocommerce_anchor_text');	
	if ((!empty($sounder_anchor_icon) || !empty($sounder_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_woocommerce"'
										. (!empty($sounder_anchor_icon) ? ' icon="'.esc_attr($sounder_anchor_icon).'"' : '')
										. (!empty($sounder_anchor_text) ? ' title="'.esc_attr($sounder_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_woocommerce_inner<?php
			if (sounder_get_theme_option('front_page_woocommerce_fullheight'))
				echo ' sounder-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$sounder_css = '';
			$sounder_bg_mask = sounder_get_theme_option('front_page_woocommerce_bg_mask');
			$sounder_bg_color = sounder_get_theme_option('front_page_woocommerce_bg_color');
			if (!empty($sounder_bg_color) && $sounder_bg_mask > 0)
				$sounder_css .= 'background-color: '.esc_attr($sounder_bg_mask==1
																	? $sounder_bg_color
																	: sounder_hex2rgba($sounder_bg_color, $sounder_bg_mask)
																).';';
			if (!empty($sounder_css))
				echo ' style="' . esc_attr($sounder_css) . '"';
	?>>
		<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
			<?php
			// Content wrap with title and description
			$sounder_caption = sounder_get_theme_option('front_page_woocommerce_caption');
			$sounder_description = sounder_get_theme_option('front_page_woocommerce_description');
			if (!empty($sounder_caption) || !empty($sounder_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				// Caption
				if (!empty($sounder_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo !empty($sounder_caption) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses_post($sounder_caption);
					?></h2><?php
				}
			
				// Description (text)
				if (!empty($sounder_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo !empty($sounder_description) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses_post(wpautop($sounder_description));
					?></div><?php
				}
			}
		
			// Content (widgets)
			?><div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs"><?php 
				$sounder_woocommerce_sc = sounder_get_theme_option('front_page_woocommerce_products');
				if ($sounder_woocommerce_sc == 'products') {
					$sounder_woocommerce_sc_ids = sounder_get_theme_option('front_page_woocommerce_products_per_page');
					$sounder_woocommerce_sc_per_page = count(explode(',', $sounder_woocommerce_sc_ids));
				} else {
					$sounder_woocommerce_sc_per_page = max(1, (int) sounder_get_theme_option('front_page_woocommerce_products_per_page'));
				}
				$sounder_woocommerce_sc_columns = max(1, min($sounder_woocommerce_sc_per_page, (int) sounder_get_theme_option('front_page_woocommerce_products_columns')));
				echo do_shortcode("[{$sounder_woocommerce_sc}"
									. ($sounder_woocommerce_sc == 'products' 
											? ' ids="'.esc_attr($sounder_woocommerce_sc_ids).'"' 
											: '')
									. ($sounder_woocommerce_sc == 'product_category' 
											? ' category="'.esc_attr(sounder_get_theme_option('front_page_woocommerce_products_categories')).'"' 
											: '')
									. ($sounder_woocommerce_sc != 'best_selling_products' 
											? ' orderby="'.esc_attr(sounder_get_theme_option('front_page_woocommerce_products_orderby')).'"'
											  . ' order="'.esc_attr(sounder_get_theme_option('front_page_woocommerce_products_order')).'"' 
											: '')
									. ' per_page="'.esc_attr($sounder_woocommerce_sc_per_page).'"' 
									. ' columns="'.esc_attr($sounder_woocommerce_sc_columns).'"' 
									. ']');
			?></div>
		</div>
	</div>
</div>