<?php
/**
 * The template 'Style 1' to displaying related posts
 *
 * @package WordPress
 * @subpackage SOUNDER
 * @since SOUNDER 1.0
 */

$sounder_link = get_permalink();
$sounder_post_format = get_post_format();
$sounder_post_format = empty($sounder_post_format) ? 'standard' : str_replace('post-format-', '', $sounder_post_format);
$cat = sounder_get_post_categories(', ');
?><div id="post-<?php the_ID(); ?>" 
	<?php post_class( 'related_item related_item_style_1 post_format_'.esc_attr($sounder_post_format) ); ?>><?php
	sounder_show_post_featured(array(
		'thumb_size' => apply_filters('sounder_filter_related_thumb_size', sounder_get_thumb_size( (int) sounder_get_theme_option('related_posts') == 1 ? 'huge' : 'extra' )),
		'show_no_image' => sounder_get_theme_setting('allow_no_image'),
		'hover' => 'none',
		'singular' => false,
		'post_info' => '<div class="post_header entry-header">'
							. '<div class="line-one">'.
                                (sounder_exists_trx_addons() ? sounder_show_post_meta( array(
                                    'components' => 'counters',
                                    'counters' => 'likes',
                                    'seo' => false,
                                    'echo' => false
                                )) : '')
                                .(!empty($cat) ? '<div class="post_categories">'.$cat.'</div>' : ''). '</div>'
                                    . '<h6 class="post_title entry-title"><a href="'.esc_url($sounder_link).'">'.get_the_title().'</a></h6>'
                                . '</div>'
		)
	);
?></div>